#include<fstream>
#include<cmath>

using namespace std;
int main()
{
	ifstream f1("CHARNUM.INP");
	ofstream f2("CHARNUM.OUT");
	int n;
	f1>>n;
	int i;
	long long u=0;
	int l=(int) log10(n)+1;
	u+=l*(n+1);
	for(i=0;i<l;i++)
	{
		u-=pow(10,i);
	}
	f2<<u;
	f2.close();
	return 0;
}
